package org.rcisoft.bus.storegoodsapply.dto;

import lombok.Data;
import org.rcisoft.bus.wmsgoods.entity.WmsGoods;

import java.math.BigDecimal;
import java.util.List;

@Data
public class AddStoreGoodsApplyDTO {
    List<WmsGoods> boxList;
    private String ioType;
    private String dealStatus;
    private Integer goodsCounts;
    private String appCode;
    private String shipper;
    private String shipperAddress;
    private String shipperPhone;
    private String goodsCheck;
    private String salesman;
    private String maker;
    private String inGoods;
    private String outGoods;
    private  String goodsNumber;

    private String remarks;

    private String storeId;
    /**
     * @desc 原价
     * @column original_price
     * @default
     */
    private BigDecimal originalPrice;

    /**
     * @desc 折扣价
     * @column discount_price
     * @default
     */
    private BigDecimal discountPrice;

    /**
     * @desc 门店价
     * @column store_price
     * @default
     */
    private BigDecimal storePrice;

    /**
     * @desc 总价
     * @column total_price
     * @default
     */
    private BigDecimal totalOutPrice;

    /**
     * @desc 销售备注
     * @column sales_categories
     * @default
     */
    private BigDecimal salesCategories;

    private Integer customerId;
}

