package org.rcisoft.bus.storegoodsstock.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.bus.storegoodsstock.dto.StoreGoodsStockPageResultsDto;
import org.rcisoft.bus.storegoodsstock.entity.StoreGoodsStock;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/

public interface StoreGoodsStockRepository extends CyBaseMapper<StoreGoodsStock> {


    List<StoreGoodsStock> queryWmsGoodsStocks(@Param("entity") StoreGoodsStock storeGoodsStock);

    /**
    * 分页查询 wmsGoodsStock
    *
    */
    IPage<StoreGoodsStockPageResultsDto> queryWmsGoodsStocksPaged(CyPageInfo cyPageInfo, @Param("entity") StoreGoodsStockPageResultsDto storeGoodsStock);

    StoreGoodsStock selectByIdOut(int id);

    StoreGoodsStock selectByGoodsId(int id);
}

