package org.rcisoft.bus.storegoodslog.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.bus.storegoodsapply.entity.StoreGoodsApply;
import org.rcisoft.bus.storegoodslog.entity.StoreGoodsLog;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/

public interface StoreGoodsLogRepository extends CyBaseMapper<StoreGoodsLog> {


    List<StoreGoodsLog> queryWmsGoodsLogs(@Param("entity") StoreGoodsLog storeGoodsLog);

    /**
    * 分页查询 wmsGoodsLog
    *
    */
    IPage<StoreGoodsLog> queryWmsGoodsLogsPaged(CyPageInfo cyPageInfo, @Param("entity") StoreGoodsLog storeGoodsLog);

    int batchPersist(@Param("list") List<StoreGoodsLog> list);


    int updateStatus(@Param("entity") StoreGoodsApply storeGoodsLog);
}

